package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Date: 2021/6/9.
 */
public class ExamInfo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    private String examCode;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "课程信息")
    private List<CourseInfo> courseInfo;

    @ApiModelProperty(value = "学期（title）")
    private String semester;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public List<CourseInfo> getCourseInfo() {
        return courseInfo;
    }

    public void setCourseInfo(List<CourseInfo> courseInfo) {
        this.courseInfo = courseInfo;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }
}
